Ubuntu

Ubuntu splashscreen big and ugly after installing ATI/nVidia proprietary graphics driver

Reported by James Pursey on 2010-04-15
920
This bug affects 241 people
Affects Status Importance Assigned to Milestone
initramfs-tools
Undecided
Unassigned
initramfs-tools (Ubuntu)
Low
Steve Langasek
Nominated for Lucid by perelin

Bug Description

Hi

Before installing the Ati driver the logo in the splashscreen was sleek; after I enabled the proprietary driver, the logo became huge and ugly. It's only a small thing, but it's a bug nevertheless.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xorg 1:7.5+5ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-21.31-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Thu Apr 15 16:18:07 2010
DkmsStatus: fglrx, 8.723.1, 2.6.32-21-generic, x86_64: installed
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
MachineType: TOSHIBA Satellite A300D
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=aaf4ab4f-381c-4427-9795-cb3b77d5ff41 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: xorg
Symptom: display
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: 1.80
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: AMD
dmi.chassis.version: None
dmi.modalias: dmi:bvnInsydeCorp.:bvr1.80:bd12/26/2008:svnTOSHIBA:pnSatelliteA300D:pvrPSAHCE-01W00LFR:rvnTOSHIBA:rnPortablePC:rvrBaseBoardVersion:cvnAMD:ct10:cvrNone:
dmi.product.name: Satellite A300D
dmi.product.version: PSAHCE-01W00LFR
dmi.sys.vendor: TOSHIBA
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-21-generic

James Pursey (jamespursey) wrote :
Ubuntu4life (jeroenmerks) wrote :

The Proprietary driver doesn't support the slick plymouth as good as the open driver. I suggest that this should be a wish instead of a bug.

perelin (perelin) wrote :

I'm experiencing the same issue after installing the NVIDIA proprietary driver.

affects: ubuntu → plymouth (Ubuntu)
Chris (cbaines) wrote :

I am also experiencing this after installing the proprietary nvidia driver.

Steve Langasek (vorlon) wrote :

While Scott has commented in the duplicate bug that the images "are what they are", I seriously doubt that the design team realized the implication that 16-color images for VGA framebuffer also implied a 640x480 display. While I don't think it's realistic to fix this for the final release, I do think the "ugly" boot splash on VGA fb is not actually what the design team intended, and that we should probably get these scaled down by a factor of 1.6 (i.e., have them display equivalent in size to a 1024x768 display).

But scaling the images won't affect the size of the text, so the experience would still be inconsistent. So I believe this should be postponed to maverick, and preferably until after we have some way to pass variables to our scripts from the theme definition so we don't have to keep patching all the per-flavor themes.

Changed in plymouth (Ubuntu):
importance: Undecided → Low
status: New → Triaged
IKT (ikt) wrote :

This is one of the things I don't understand about ubuntu quality control, a good lot of users are going to be seeing a 16 colour 640 x 480 splash screen that looks horrific on a modern operating system, Mark himself says he wants to compare ubuntu to os x yet you believe this should be postponed to maverick instead of working asap to fix the issue and get it integrated into the current release? Do you think Apple would ever be caught dead releasing such a poor quality splash?

Jeff Sereno (jsereno) wrote :

Given that Lucid's total boot times have decreased to 9-15 seconds on the average modern system, that the splash screen is only on screen for a fraction of this time, and that the end-user will ultimately spend more time indulging the eye-candy of the desktop, I think this is a very low priority issue.

In terms of my direct opinion over the low-res splash, I think the issue is more over the low colour depth rather than the low resolution. If it were an 8-bit depth, I think most people would overlook the low pixel resolution.

James Pursey (jamespursey) wrote :

I pretty well agree with that last comment. The splash-screen is hardly a critical issue - much better concentrate on making Lucid as reliable as possible. Of course, IKT is right that such a thing wouldn't happen with Apple. But that's because Apple works on a relatively restricted amount of hardware and each successive version is toiled over behind closed doors for many months, even years, before release. All Linux distros rely on their communities of users to give feedback about their experiences on an unimaginable amount of hardware. It's amazing it works as well as it does; and if we can recruit even more Linux users the result will be truly awesome! Actually, as far as the boot experience goes, I'm more worried about the black screen that appears for the most part of the boot process than the splash-screen itself. I can imagine it scaring quite a lot of people. I myself thought there was a problem when I saw it. Then the splash screen came along and I knew everything was fine. Didn't last long, though: maybe two seconds at the very most. Could the splash-screen be made to appear almost immediately?

madbiologist (me-again) wrote :

Plymouth 0.8.2-1 (now superseded by plymouth 0.8.2-2) includes the following update:

* Use alternate 16-color images when we have only 4bpp - bug #551013.

This uses some newly committed 16-color artwork. See bug #551013 for further details.

Given the second paragraph of comment 7, can we mark this bug as fix released too?

Steve Langasek (vorlon) wrote :

> Given the second paragraph of comment 7, can we mark this bug as fix
> released too?

No, the 16-color artwork *is* the "big and ugly" artwork.

Chris (cbaines) wrote :

Found a temporary fix, install the start up manager and use this to set the correct resolution for your system. Makes Plymouth look a lot better.

Ausmosis (falcidi) wrote :

Chris - Can you please elaborate on the program 'start up manager'? I tried looking for this app and wasn't able to find it.

aviramof (aviramof) wrote :

he mean startupmanager you can find it in synaptic but i don't know what is that got to do with Plymouth i too use it to set grub 2 resolution to 1280x1024 at boot with 24 bits color but i don't have the logo at all today and i just reinstalled Ubuntu 10.04 final version today only a few hours ago.

maccus (maccus) wrote :

I have the same problem with an NVIDIA GeForce 8400 GS. Using the startupmanager app to set resolution only makes things worse, leaving me with an unreadable garbled boot screen. Startupmanager does not work for plymouth, so it has no use in Lucid...

James Pursey (jamespursey) wrote :

I've found a partial fix here:

http://news.softpedia.com/news/How-to-Fix-the-Big-and-Ugly-Plymouth-Logo-in-Ubuntu-10-04-140810.shtml

But it doesn't work 100%. On one computer I have a black screen and a flashing cursor for most of the boot process; on another machine I have to stare at a Debian splash screen - where that came from I have no idea.

alexeagar (alexeagar) wrote :

This problem occurred for me, but I found a very good solution which I hope will be pushed upstream. The changes should be applied when proprietary graphics drivers are enabled and reverted when proprietary graphics are disabled. One of the steps involves choosing the ideal resolution for the splash screen, but since the system would most likely already be using the ideal resolution when the proprietary graphics driver is enabled, the installer could just detect what resolution is currently being used.

http://idyllictux.wordpress.com/2010/04/26/lucidubuntu-10-04-high-resolution-plymouth-virtual-terminal-for-atinvidia-cards-with-proprietaryrestricted-driver/

aviramof (aviramof) wrote :

I don't recommend using all this fixes the problem is that plymouth don't work with kmps or what ever it's called and that is
http://ubuntuforums.org/showthread.php?t=1469455

mybe i'll try ubuntu again in a few months bye for now and cya then.

alexeagar (alexeagar) wrote :

I reverted the duplicate status change which I previously made. This bug may be related to Bug #553854.

James Pursey (jamespursey) wrote :

Yes, I've come across the solution proposed in this blog too; but I really don't like adding 6 seconds to the boot up time. As I said before, the boot sequence is only on for a couple of seconds; I really don't see the point of making a longer boot in order to make the boot experience look good enough for you to forget that it's booting, if you get my drift. I personally would prefer a really short boot time to get to a working computer as quickly as possible. But what I really can't stand is that black screen with a blinking cursor - it looks like the computer has a serious problem - not a good first impression for a new comer.

Following fix worked perfectly for me:
http://idyllictux.wordpress.com/2010/04/26/lucidubuntu-10-04-high-resolution-plymouth-virtual-terminal-for-atinvidia-cards-with-proprietaryrestricted-driver/
I think it's the same as the one from softpedia. Now my boot splash is in 1024x768, as this was the highest resolution shown by hwinfo --framebuffer. My native resolution would be 1280x800, but still it's much better than before.
I attach my dmesg.txt hoping it will be helpful. I have an asus a6m notebook with a nvidia geforce go 6100 graphic card and ubuntu lucid amd64.
The other stuff like gfx_payload=keep or so didn't work for me at all.

Orzech (porzechowski) wrote :

@Jeff Sereno
"Given that Lucid's total boot times have decreased to 9-15 seconds on the average modern system, that the splash screen is only on screen for a fraction of this time, and that the end-user will ultimately spend more time indulging the eye-candy of the desktop, I think this is a very low priority issue.

In terms of my direct opinion over the low-res splash, I think the issue is more over the low colour depth rather than the low resolution. If it were an 8-bit depth, I think most people would overlook the low pixel resolution."

I suggest you repro this bug with full-disk encryption setup. By it's nature you spend more time with splash than 9-15 secs. And looks like crap now with for instance password dots overlapping each other. :)

Solution to this problem seems to be to uninstall the ATI driver. It not only resolves the problem with the plymouth logo, but also means the system can auto-detect monitor type correctly, 3d effects are enabled [where supported] and as far as I can tell, run faster. More importantly though.. it stops corrupting the boot loader. So you can reboot more than just a few times before it all falls over. [note, you still have to reinstall a clean copy of the boot loader afterwards].

Sometimes, less is more.

@Jeff Sereno
It's more than an appearance problem, at least on my system. The ATI driver kept corrupting the boot loader itself, so I couldn't reboot more than a couple of times before it failed and I needed to reinstall.
 As I said, uninstalling it fixed the image appearance and the memory leak.

alexeagar (alexeagar) wrote :

@silicon.shaman By disabling the proprietary graphics driver, you're avoiding this bug, not solving it. According to its duplicates, this bug applies to proprietary graphics drivers in general, not just ATI.

alexeagar (alexeagar) wrote :

@silicon.shaman
Unless the corruption problem occurs to everyone who is experiencing the resolution problem, I would categorize that as a separate bug.

James Pursey (jamespursey) wrote :

Perso, my ATI graphics driver has lousy performance with the open source driver. People who have graphics cards want to be able to use them. Reverting to a lower quality driver to enjoy a boot splash that lasts only a few seconds, thereby suffering a mediocre desktop experience seems completely ridiculous in my opinion.

Jason S. Wagner (jasonswagner) wrote :

* what testing was done before transitioning to 'plymouth' for lucid was green lighted for an LTS of all things
* why did Canonical not investigate the true number of users affected
* do we expect this to be resolved for lucid
* if not, what do we need to do to prove there is community interest in having the solution backported for lucid

an ugly bootscreen that appears for less than 10 seconds may seem unimportant, but this an LTS release, and a very large number of users really will hit this, therefore it is "a big issue". I cannot stress that enough.

apienk (andrzej-pienkowski) wrote :

I'm also affected on NVidia GeForce Go 6100 using a proprietary driver from repos. I haven't tried any workarounds yet because I am faithfully expecting a fix released soon. The extra 6 seconds of boot time is not a problem for me because due to another bug in Karmic my boot process used to freeze for 25 seconds with a black screen and no disk activity (THIS was scary!) just after grub. In fact, a "finished product look" IS important for Ubuntu to draw new users. This low-res splash screen is awful, as well as the boot console when you press Ctrl-F1.

yarly (ih8junkmai1) wrote :

I really hope this gets an official fix as this is an LTS release.
The longer Ubuntu leaves this unsolved users will be left to
 find their own methods and means, which could result in
more problems should an official fix ever be released.

Many of the workarounds suggested by editing entries
in the following files just don't work.

/etc/default/grub
/etc/grub.d/00_header

Maybe it works for some, but I'm on a Nvidia card and
it's not working for me.

apienk (andrzej-pienkowski) wrote :

Here's a workaround that solved the problem for me:

1) enable framebuffer mode:

echo FRAMEBUFFER=y > sudo tee /etc/initramfs-tools/conf.d/splash
sudo update-initramfs -u

2) add this line to /etc/default/grub (The resolution has to be supported by BIOS. To check, execute vbeinfo at grub2 prompt.):

GRUB_GFXPAYLOAD_LINUX=1024x768

3) and finally:

sudo update-grub2

PDP (pdp) wrote :

I have tried above workaround:

echo FRAMEBUFFER=y > sudo tee /etc/initramfs-tools/conf.d/splash
sudo update-initramfs -u
GRUB_GFXPAYLOAD_LINUX=1024x768
sudo update-grub2

but it didn't solve the problem for me. The size of the logo was ok again after applying the workaround but after grub a complete black screen without cursor appears for more then 10 seconds. After that there was shortly the logo and then the login screen.

I find this a major bug and I don't understand that this has a low importance. It's give a very negative impression for the whole product, even before using it, when you see a black screen for more then 10 seconds.

P.S.

- for the rollback of the workaround I've only deleted the added grub line. I've also tried echo FRAMEBUFFER=n but after that I couldn't any longer stop the system
- for details of my configuration see bug 577317 which is a duplicate of this bug

"but after grub a complete black screen without cursor appears for more then 10 seconds"

Seems that, "sudo echo FRAMEBUFFER=y > /etc/initramfs-tools/conf.d/splash"
and "sudo update-initramfs -u" works...

apienk (andrzej-pienkowski) wrote :

Title changed to reflect many duplicates of this bug regarding nVidia proprietary drivers.

summary: - Ubuntu splashscreen big and ugly after installing ATI graphics driver
+ Ubuntu splashscreen big and ugly after installing ATI/nVidia proprietary
+ graphics driver
apienk (andrzej-pienkowski) wrote :

@PDP
The ca. 10 seconds black screen delay also happens on my system but happened already before the changes in grub and initramfs were made. In my bootchart I can see that plymouthd is starting just 6 seconds after grub. I don't know why it doesn't show the splash right on.

Changing the screen driver from accelerated to VBE should not generate a noticeable increase in booting time. The few seconds delay observed may be due to ureadahead which has to 'learn' again how to boot quicker. The delay should vanish after several reboots.

squiddy (squiddvault) wrote :

affects me too after installing propietary ATi driver

Aia (annyfe) wrote :

Same problem here with Nvidia Geforce 9600M GT and proprietary drivers.

aviramof (aviramof) wrote :

Well i hope they fix it till 10.04.1 would be releasd in july because to be honest i am not thrilled about reinstalling ubuntu any time soon with all this bugs still there.

The plymouth problem and the fglrx not working with higer kernels and etc all the bugs i posted or replied in them.

Marctro (usrox) wrote :

I agree with "aviramof" completely. This bothers so much, that I won't install this ubuntu release nor recommend it to anyone as long as this ridiculous bug exists.

I can confirm it too btw. - happens after ATI driver install. This is annoying and makes bad impression, looks like a broken product.

James Pursey (jamespursey) wrote :

I am not so bothered about a splashscreen that lasts a couple of seconds. However, I do have to agree that the number of bugs in Ubuntu is starting to become an issue. Every time I install a new version of Ubuntu, something breaks. I find Fedora more reliable, which is aimed as an experimental distribution, than Ubuntu, which is supposedly Linux for the masses. I even found Archlinux more reliable, which is a rolling distro and so inclined to have problems - but at least they're sorted out, and quickly too. While new versions of Ubuntu continue to be released on a specified date, no matter what bugs are still to be resolved, and then the security bugs are mended, leaving the others for the next release, we're all going to run into problems that we're stuck with until the next D-day - when we'll encounter a new set of problems. I'm seriously considering looking at Linux Mint. It's based on Ubuntu, but doesn't make new releases available until it's ready.

Marctro (usrox) wrote :

@james: I tried out Mint 9; it suffers from the same issues described in here, which is: either the boot logo is completely gone after installing video drivers or only some dots are left. It goes hand in hand with the issue that display brightness cannot be adjusted anymore after installing video drivers. So don't bother about Mint now^^

Paul (paul-7) on 2010-07-04
Changed in plymouth (Ubuntu):
status: Triaged → Confirmed
Steve Langasek (vorlon) on 2010-07-05
Changed in plymouth (Ubuntu):
status: Confirmed → Triaged
tags: added: apport-collected
tags: added: ati grub initramfs maverick nvidia plymouth
Steve Langasek (vorlon) on 2011-01-10
tags: removed: amd64 ati grub initramfs nvidia plymouth
67 comments hidden view all 147 comments

Plymouth is meant to provide a nice-looking full-resolution boot screen
on all DRM-capable graphics cards thus avoiding archaic text screen or
lame WindowsXP-like low resolution logo. And it works fine until user
decides to install a proprietary driver which does not like some other
driver to be loaded before it. The behaviour cannot be changed because
the driver is proprietary (try forcing Nvidia and ATI to amend this).
That's why making a neater bootscreen experience requires the new
opensource graphics drivers - 'nouveau' for Nvidia and 'radeon' for ATI.
Both are still incomplete but work, try them. Compiz team even
recommends nouveau over proprietary drivers.

So I don't really understand what the fuss is about. Use open drivers -
a default choice for most users - or if you really have to stay with
proprietary, a simple tweak using VESA mode (explained earlier in this
thread) can get you a nice bootscreen again.

By the way, it is easy to moan, but it is harder to get your own hands
dirty. This is free software! You don't pay for it!

Andrew Somerville (andy16666) wrote :

What I meant is that I don't see what was wrong with the late X approach of 9.10. It completely avoided the need for driver support.

John Cottier (j-cottier) wrote :

To me, the point is this. Canonical draw attention to this new feature by advertising it as an improvement. Then after the first boot, the user is *prompted*, by the system, to install the nvidia drivers. Then it goes all crappy. I just look away while its booting :-\

maccus (maccus) wrote :

"And it works fine until user decides to install a proprietary driver which does not like some other
driver to be loaded before it. The behaviour cannot be changed because
the driver is proprietary (try forcing Nvidia and ATI to amend this)."

So why is it working on Natty then? And why is one prompted right after a fresh install to install the proprietary drivers?

"That's why making a neater bootscreen experience requires the new
opensource graphics drivers - 'nouveau' for Nvidia and 'radeon' for ATI.
Both are still incomplete but work, try them."

TV-Out doesn't work with nouveau drivers and it probably never will. I need TV-Out all the time.

"a simple tweak using VESA mode (explained earlier in this
thread) can get you a nice bootscreen again."

How will a noob ubuntu user be able to apply technical fixes? If you are a techie you can just as well skip Ubuntu and might want to run GenToo. But an ordinary desktop user is not going to apply patches. Ubuntu is supposed to be "the distro for everyone", so Canonical not fixing this bug an leaving it to the user just doesn't add up.

Kom-Si (val.komissarov) wrote :

> Use open drivers - a default choice for most users
2 apienk: who says that? any statistics? visual effects don't work without proprietary drivers, the whole GUI experience using 'nouveau' is abhorrent.
of course I tried 'nouveau', and I can surely say that it's lame. it's not just eye-candy that I'm talking about - many apps need normal video support, and 'nouveau' just isn't up to the task. the only thing 'nouveau' really does is the splash screen, whereas the proprietary driver does the rest, except the splash.
I wish someone bridged the gap...

Philip Muškovac (yofel) wrote :

Ok, we all agree that this is a bug. Nouveau has several issues (bug 553789 being one of the rather grave ones that affect me personally) so just suggesting to use that rather than the nvidia driver doesn't help many of us. As for why plymouth is there: It functions as a message manager between the user and the asynchronous upstart system services which would fight for keyboard input and mix their messages without a manager which would be a total chaos. That's why simply getting rid of plymouth isn't really doable (don't ask me why they didn't postpone upstart instead, I don't know). Also, the change in natty was already tried in maverick, but back then it broke much more than it fixed so it was quickly reverted. Those issues were adressed by the parties involved so with natty this should look better.
Note that it is highly unlikely that those fixes will be backported to lucid and maverick. . While I agree that the text mode splash looks horrible and I passionately hate it, the risk is too high that trying to fix this in the stable releases would make the system unbootable for many (or it wouldn't have taken until natty to improve it).

I'm not a developer either, only a long time alpha tester that has nvidia cards so don't ask me about more details there.

Max Lemieux (max-lemieux) wrote :

This bug is the one and only bug I have been able to notice after an upgrade from 10.04 to 10.10.

That means that the 10.10 install would be working 100% perfectly for me, if this bug was fixed. Instead, the crucial "first ten second" impression is ruined by a scary and broken looking boot screen. It's like a dealer delivering a brand new Lexus with a keyed door.

I can't imagine how off-putting this could be for someone who didn't realize it was merely a transient graphical glitch - a non-technical user might be afraid to trust the entire system after seeing this boot screen. First impressions count!

gslack (gslack) wrote :

The work arounds work to varying degrees for most people experiencing this issue, and I won't rehash them. That being said, I run the ATI proprietary driver in Ubuntu 10.10 and had this issue as well. This is an issue with proprietary drivers and NOT plymouth itself or Ubuntu. This is a prime example of closed versus open source and these type of things can and do happen.
Until vendors such as ATI, Nvidia, et al, share openly with open source programmers these issues will pop up from time to time.

My issue was fixed using a combination of startup manager (as mentioned above) and grabbing the latest stable release of the ATI proprietary driver. Frankly I cannot be sure which actually fixed the issue because I used startup manager while the latest driver was downloading. I didn't see the issue as being a big deal and really didn't pay much attention to it. All I really know is now the issue is fixed and the only changes I made were to use startup manager, install the Latest ATI prop driver, and a bit later install Zorin splash screen utility (can't remember its name ATM). So one of these or all of them fixed it for me. Sorry I cannot be more specific but as I said before this was not a big concern of mine and so the fix wasn't a priority.

Personally I feel this is a simple cosmetic problem and being that it is not harming the functionality and only on screen for a few seconds, it most likely will never be a high priority to fix. Oh I am sure it will be fixed sooner or later but not before things like the ethernet/DHCP issues and such are ironed out. Those issues are effecting the functionality so rightly should be a higher priority. Along with that, ATI and Nvidia are not going to go out of their way for this cosmetic issue any time soon.

Bottom line is try the work arounds mentioned several times here, or wait for the next update and hope they or ATI/Nvidia fix it. This is the current price we pay for a completely free (as in to use) OS. As long as big M, big U, and big A are able to do what they do unhindered, these things will continue to pop up.

Nathaniel Wilson (dubrict) wrote :

The issue here is not necessarily that the display method used by plymouth is incompatible with proprietary drivers. I would say the issue is that the developers made an unnecessary switch to this display method knowing full well that the proprietary drivers didn't support it yet.

I'm with everybody else who says that although this problem obviously doesn't break anything, it certainly doesn't make ubuntu look like a professional, polished product. Seriously though, even Microsoft has this part of their OS right, and they can't even figure out how to make an application menu that's not riddled with bugs.

I love showing off linux to all my friends, but quite frankly if I catch them looking over my shoulder as ubuntu is booting up, I feel embarrassed.

Kom-Si (val.komissarov) wrote :

> if I catch them looking over my shoulder as ubuntu is booting up, I feel embarrassed.
this pretty much sums up the problem.

gslack (gslack) wrote :
Download full text (4.6 KiB)

In response to #116:

Microsoft charges you $200 and up for a full version of Windows 7, they do not run an X-server environment but rather have direct input and cooperation with the drivers and their respective manufacturers. They don't run a X server because they have full on mutual cooperation from hardware vendors. Linux on the other hand (at this point in time) is not granted full on access to the code by the vendors for their drivers. All open source linux drivers are reverse engineered and being that windows holds the lions share of the market and has the most money, and most games are written to run in windows using their mutual windows and hardware vendors directx API and drivers, this is going to have problems no matter what. All all video card hardware is designed to use DirectX, thats where the games and entertainment money is, all use of Open GL and X-Server functionality is an afterthought at best and often times not even addressed at all (ATI until recently).

They do not write Linux drivers well, nor do they care to try very hard, because:

1. No money in games for linux. No gamers money, no need for the expensive gaming hardware with 1 gig of gddr3 memory.

2. In their minds (business men) there is no protection for their intellectual property if the drivers and firmware are freely shared.

3. Microsoft wouldn't like their API technology freely shared with a free and faster alternative OS. And that again besides illegal, would cut into microsoft market and money.

The drivers for the hardware vendors like ATI and Nvidia are closed source. Meaning they do not share code openly and freely with anyone they do not have a deal with. Linux by its very nature will not make any such deal because it goes against the very principles it adheres to. And even if they would they couldn't. Microsoft wouldn't allow it and further the costs would make linux no longer free. The only reason we get any proprietary drivers from ATI and Nvidia is by their good graces and only as an appeasement to satisfy their customers wanting to use linux. They don't write drivers for big servers and infrastructure appliances running a linux kernel, they don't want or need a fancy new video card to run a game. SO any and all 3d functionality is a waste. They write those drivers for the people who play the games, games written to run in windows. And when they feel like it they throw the linux people a bone.

Ubuntu had NO way to know ahead of time about an issue with a closed source driver. To say it was their fault because windows doesn't have an issue with a driver written to run hardware specifically designed to their OS, is an unfair claim to say the least.

As far as Ubuntu not looking professional, they manage to take a bit of an unstable branch of Debian (not a very desktop centric Disto at all) and not only make it as stable as any other distro if not more so, but at the same time manage to make it as user friendly to an average person as any distro ever. They do this and make it attractive to look at, package it nicely, make it easy for anyone with an internet connection to find and get a copy, and at the same time maintain several different styles of d...

Read more...

Nathaniel Wilson (dubrict) wrote :

gslack,

You sure went all out on that rant. But the fact of the matter is, every one of us here knows more than enough about how hardware vendors don't fully support linux. After ten years I'm getting tired of hearing excuses about Microsoft whispering sweet nothings into ATI and nvidia's ears as they conspire to make it impossible for linux to beg for a working X-based desktop. That time is past and I've found that their drivers work quite well in X these days, with ONE exception. That would be KMS.

Ubuntu used to have a splash screen that worked quite well with every hardware platform I ever tried it on (several.) But now that has changed despite hundreds of people protesting, some in this thread.

And I might add, <engage capslock mode> THIS WAS DONE KNOWING THAT KERNEL MODE SETTING DOES NOT WORK WITH VENDOR DRIVERS </capslock> so I don't want to hear that <AGAIN/>

I'm sorry to engage capslock but I don't know how this could possibly be stated with any more clarity.

Now, I don't want to hear anything about us being ungrateful, or unknowledgable, or unwilling to put the effort into linux ourselves. We have presented our solutions, our workarounds, and our deep considerate thought into this and many similar issues and we're always faced with a wall of excuses about vendor support and technological superiority with a few (assumed small) sacrifices.

We need a new category of bug named "shameful"

Nathaniel Wilson (dubrict) wrote :

And I don't want to hear any more excuses about vendors not being as fully into the Linux game as we wish they were. They devote as much time and resources as they can and as their market allows. They actually are putting effort into their drivers, but KMS was sprung on them at the last second. And before that second could expire, ubuntu decided to fully embrace a system that only worked with KMS drivers. You don't think that might have at least "irked" them a little?

I don't need to explain that I love Linux and all the philosophy behind it, as my passion in posting here should fully expose that. But I would have to be an ignorant fool to believe that Linux developers don't make mistakes. And here, the mistake was made within the Linux community. The only way to fix it is to root out people who make the same tired excuses we've been hearing for years.

I know this particular bug is only about splash screen appearance, but this problem plagues this project in several other areas and needs to be solved.

Canonical has no interest in reverting Plymouth, and cannot force Nvidia or ATI to add the required hooks to their drivers. Nothing else needs to be said about this, so please give 140 inboxes a rest. If this still bothers you, go contribute your time to another project, as I did.

On 27/03/11 09:56, Jason Wagner wrote:
> Canonical has no interest in reverting Plymouth, and cannot force Nvidia
> or ATI to add the required hooks to their drivers. Nothing else needs
> to be said about this, so please give 140 inboxes a rest. If this still
> bothers you, go contribute your time to another project, as I did.
While I agree with that sentiment, it's also true that one can always
unsubscribe from a bug if the comments come to contain more heat than
light. And I suppose I really should too... ;-)

--
Rachel

danizmax (danizmax) wrote :

Since this is a heated topic and quite important to me, I'll add my opinion and ask a question too.

This may not be a usability issue for those that are familiar with computers and linux, but those who are not and see this will assume they did something wrong when installing vendor drivers or linux just isn't working well.

How would you feel when you are constantly chased by a feeling something might break any minute now and you loose your data. I know this isn't true for the 99% of the time, but it really doesn't matter if it is true or not, it only matters what people think. The little things are those that make simple people (that make most the population of our planet), look at linux differently, and get the impression it's just another windoze ripoff.

And how do you think does it make me feel when I say to people that ubuntu is a fine system and then when I boot it up, the first thing they see is something that does not work.

> And I might add, <engage capslock mode> THIS WAS DONE KNOWING THAT KERNEL MODE SETTING DOES NOT WORK WITH
> VENDOR DRIVERS </capslock> so I don't want to hear that <AGAIN/>

And Why did they do that? Isn't it obvious that every one that has a chance to install vendor drivers will do this right away?

Give me a good reason (and don't involve vendors here) and I won't mention this problem ever again.

Steve Langasek (vorlon) wrote :

On Sun, Mar 27, 2011 at 10:14:49AM -0000, Rachel Greenham wrote:
> On 27/03/11 09:56, Jason Wagner wrote:
> > Canonical has no interest in reverting Plymouth, and cannot force Nvidia
> > or ATI to add the required hooks to their drivers. Nothing else needs
> > to be said about this, so please give 140 inboxes a rest. If this still
> > bothers you, go contribute your time to another project, as I did.
> While I agree with that sentiment, it's also true that one can always
> unsubscribe from a bug if the comments come to contain more heat than
> light. And I suppose I really should too... ;-)

Except those of us who are subscribed to this bug because we're the
developers who work on the plymouth package in Ubuntu.

The launchpad bug system is *not a discussion forum*. Using it as one only
serves to take up developer time that would otherwise be used for fixing
bugs in Ubuntu (including this one).

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

James Pursey (jamespursey) wrote :

I was the person who started this bug report nearly one year ago now. I intended to alert the developers to the presence of a bug I thought might affect my graphics card only. I didn't start it with the desire of creating a rant page as seen in forums. I felt a bit awkward when I sent it off - I didn't see how something that doesn't affect the security or stability of a system could count as a bug at a time when developers had more important things to look at. I preferred they put all their efforts into making the show-stopping things work properly rather than concentrating too much of their time and effort on purely visual things.
Whereas I agree that it'd be nice for this splashscreen to work soon, I'd rather Unity functions properly the very day Natty comes out, or that Wayland doesn't screw anything up in the next release, or that kernel vulnerabilities are plugged up... When all that works, then's then time to concentrate on making those few little moments when the computer starts up a visual treat. Believe me I look forward to it, but let's get our priorities right.
Personally, I think this bug report has run its course. All the developers are aware of this issue so maybe it's time to call it a day and close tit. I personally will unsubscribe from my own bug report because I find nothing constructive in these endless rants.

gslack (gslack) wrote :

Nathaniel, I too am sorry you felt you had engage capslock.....LOL

You said it embarrassed you when friends looked over your shoulder while the loading screen was displayed. As another poster pointed out thats the real problem here. Many of us here told you how to fix it, you can try one of those or not, its up to you. But telling us how its ubuntu's fault when it wasn't their drivers issue but rather those from the vendor, is going to ruffle more than a few feathers.

Please try the one of or all of the fixes mentioned on here, and one of them will most likely fix the issue. Or you can sit there and tell us all how unprofessional Ubuntu is again. Either way now its on you..... Good luck.

Nathaniel Wilson (dubrict) wrote :

The real problem here is people who pretend that the greatest thing a linux distribution can do is immediately embrace new technologies that are not yet fully supported by vendor drivers, yet continue to harass users to install vendor drivers right after installing their OS. When you go even deeper, the real problem is that Ubuntu wants to be at the forefront of technology, but at the same time has a solid following from people who expect it to be stable and presentable as a demonstration of the advantages of Linux above other operating systems. Ubuntu developers can't keep trying to walk along both of these tightropes; they have to decide eventually.

Personally I am happy to see Ubuntu keep pushing into new technologies. In the meantime they can't keep simultaneously pushing themselves as a leader in new things like wayland (which I couldn't be more excited about) yet still present themselves as a stable, professional system. They need to branch out into a "hardcore linux guru" version and a "window convert" version if they want to keep pursuing these two completely different career paths.

And gslack, you might want to try reading posts before replying to them. I've tried and condoned many solutions to the splash screen problem. I've just taken these posts beyond this simple problem and applied them to the project as a whole.

„How hard can it be to understand the following simple sentence:

   THE USER DOESN'T CARE.

Pushing the blame around doesn't help anybody.”
-- Linus Torvalds

The user really doesn't care if his problem is caused by incompatibility between the driver and the OS or lack of cooperation between driver and OS developers.
Yes, You and I can fix it, but I think that majority of new users can't. Yes, this bug affects users for few seconds when booting up, but what kind of excuse is that? Users boot up their system every day.
You may think, that statements that somebody is embarrassed when watched over his arm is somewhat silly, but impression is very important for potential users. This can be a deal breaker.
If you think, that we are wasting your precious time trying to communicate with developers here, show us better way to rise their concern in that matter.
Excuse that Windows costs money, Linux doesn't is IMO not valid too. You want to say that Linux is not in the same league?

PS You can make Windows look like OSX in no time - check out flyakiteosx.

maccus (maccus) wrote :

"They need to branch out into a "hardcore linux guru" version and a "window convert" version if they want to keep pursuing these two completely different career paths."

Yes that is the point. In a month we wil have Unity instead of Gnome. I am comfortable with that but my users probably will not be. Ik think there's too much fiddling going on with every new version, constant changes don't appeal to users that want a simple to use OS. I can remember the disastrous transition to alpha-KDE4 in Mandriva, some years ago. That was the reason I completely lost faith in Mandriva (I used MDV from 2000, quite a long time) and I decided to convert all my systems to Ubuntu. Only now I find out that Ubuntu has many more bugs with every release than Mandriva ever had. I think the release cycle is too short, make it a year to test and think it out thoroughly.

I have converted quite some Windows users to Ubuntu, installed and configured everything for them, gave support, but I stopped with that when this bug happened. It was just one thing too many to explain (yes one guy told me "it looked ugly"). I just got tired of it. My current users are on LTS karmic or earlier and I think I will not upgrade their systems for a long time to come now, especially with the new Unity coming up, because I learned in the past that a switch to a new desktop can be totally off putting.

gslack (gslack) on 2011-04-02
Changed in plymouth (Ubuntu):
status: Triaged → Opinion
Steve Langasek (vorlon) wrote :

This is *not* a question of opinion. The splash screen *is* rendering incorrectly when using the binary drivers, and this is something that needs to be fixed; it just isn't done yet because it's a difficult bug to fix and other bugs have taken priority.

Please don't mark as 'Opinion' a bug that has been triaged by the developers!

Changed in plymouth (Ubuntu):
status: Opinion → Triaged
Andrew Somerville (andy16666) wrote :

Still a problem with 11.04.

John Cottier (j-cottier) wrote :

I cannot even get the nvidia drivers to work on 11.04. But have tried the v86d fix. It is functional, but the largest mode I am allowed is 1280 x 1024 (on a 1680 x 1050 monitor). The result is a logo thats still a bit fuzzy, and the background is sort of chequered stripes, with a gap for the Ubuntu logo. So it works but its still a bit grotty, but at least I don't have to look away anymore.

Alexey Golovin (spidermc) wrote :

It was a bug for me, but after upgrade to Natty i'm having this (bug 771905). It is sad

alexeagar (alexeagar) wrote :

The new experimental open source nVidia driver, libgl1-mesa-dri-experimental, is fantastic! It's so nice to be able to display my boot screen correctly without having to fiddle with my system. The only change I woulda made woulda been to install it be default, but all in good time, I suppose. Gonna stop following related duplicate bugs. :-D

John Cottier (j-cottier) wrote :

Which Ubuntu version is that working on? I cant find libgl1-mesa-dri-experimental for 10.04
I did try it on natty beta2 (called experimental 3D driver in jockey driver list) and it worked well, but it seems to have vanished now natty has been released. Plymouth does not work at all on natty, just black and white striped garbage!
Wish I did not have an nvidia card :-(

Hồng Quân (ng-hong-quan) wrote :

This bug affects me. The workaround from idyllic only works on my machine if Ubuntu Meerkat is installed. With Ubuntu Narwhal, it does not work.

Steve Langasek (vorlon) wrote :

In natty and above, it's possible to fix this by making sure we have vesafb access to the framebuffer that grub2 passes us at boot time. This needs one small fix in initramfs-tools for oneiric.

affects: plymouth (Ubuntu) → initramfs-tools (Ubuntu)
Changed in initramfs-tools (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
Ben Shadwick (benshadwick) wrote :

Someone attempted to make a fix for Ubuntu 10.04 and newer: http://kyleabaker.com/2010/07/11/how-to-fix-your-ubuntu-boot-screen/

For me (Ubuntu & Xubuntu 11.04, nVidia proprietary driver, BURG on Dell XPS M1730 with nVidia 8700GT SLI) it only reactivates the graphical logo during shutdown, and I still get the text logo instead during startup.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.99ubuntu6

---------------
initramfs-tools (0.99ubuntu6) oneiric; urgency=low

  * scripts/init-top/framebuffer: fall back to vesafb if no other
    framebuffer is found/configured, so we can take full advantage of the
    grub gfxpayload handoff support. This ensures we get a clean
    framebuffer-based plymouth screen even when using binary video drivers.
    LP: #864149, LP: #563878, LP: #771905.
 -- Steve Langasek <email address hidden> Sat, 01 Oct 2011 20:53:15 -0700

Changed in initramfs-tools (Ubuntu):
status: Triaged → Fix Released
John Cottier (j-cottier) wrote :

Exactly the same bug is still on 11.10, fresh install. But the v86d fix does not work (blank screen) on this version so Ubuntu seems to have regressed here. Also the consoles (Ctrl+Alt+F1 etc) do not work which may be related, or maybe they are related to Bug #728745 I dont know. I pin my hopes on 12.04 now I guess.

John Cottier (j-cottier) wrote :

Sorry, I should say 11.10 is the same as 11.04. There is random black and white stripes, not big Ubuntu logo. So far its getting worse on every new release.

Andrew Schulman (andrex) wrote :

I confirm #140: With my Nvidia video card, after a clean install of 11.10, the monitor only shows "Video mode not supported" from boot until gdm.

Andrew Somerville (andy16666) wrote :

I predict that this bug will affect that next LTS too. The frame buffer doesn't support my monitor's resolution either, as I tried this fix manually already. And it's a common resolution (1920x1080). The release after the next should have been the one to include plymouth. Not 10.04.

Andrew Somerville (andy16666) wrote :

Actually, it's better in 10.04, because at least it shows the logo, even if it's big and ugly. It screws up in all kinds of interesting ways in 10.10 and 11.04.

For me clean install of Kubuntu 11.10 64b fixed this problem. I have NVidia GeForce480 GS in Dell Precision T5500 and the boot process now displays the full resolution (as far as I can tell) Kubuntu logo and asks for pasword for encrypted discs with nice graphic prompt.

Actually sorry, the computer where the problem is fixed was an upgrade from 11.04, not a clean install. In either case it improved since in 11.04. In 11.04 the logo wasn't grahics, just text mode and the password prompt was in a text mode as well. Now it is all graphic. The fix I have applied in 11.04 was

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/771905/comments/39

Steve Langasek (vorlon) wrote :

On Tue, Oct 18, 2011 at 10:29:01AM -0000, Andrew Schulman wrote:
> I confirm #140: With my Nvidia video card, after a clean install of
> 11.10, the monitor only shows "Video mode not supported" from boot until
> gdm.

Unfortunately, VBE doesn't give us EDID information about supported monitor
resolutions. You can set GRUB_GFXMODE in /etc/default/grub to a supported
value and rerun 'sudo update-grub' to get graphical output.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Displaying first 40 and last 40 comments. View all 147 comments or add a comment.